| CMSIS-RTOS RTX Version 4.51 CMSIS-RTOS RTX: Real-Time Operating System for Cortex-M processor-based devices

- RTX

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osMessageQDef_t Struct Reference

Definition structure for message queue. More...

## Data Fields
uint32_t | queue_sz
| number of elements in the queue
void * | pool
| memory array for messages

## Description

Note
  CAN BE CHANGED: os_messageQ_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

void* pool

uint32_t queue_sz